Bug 230224 - [git-webkit] Reset author time when editing commits
Summary: [git-webkit] Reset author time when editing commits
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-09-13 11:39 PDT by Jonathan Bedard
Modified: 2021-10-14 09:08 PDT (History)
4 users (show)

See Also:


Attachments
Patch (3.00 KB, patch)
2021-09-13 11:49 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (8.17 KB, patch)
2021-09-13 12:15 PDT, Jonathan Bedard
slewis: review+
Details | Formatted Diff | Diff
Patch (9.50 KB, patch)
2021-09-14 12:51 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch for landing (1.63 KB, patch)
2021-09-17 16:28 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (1.68 KB, patch)
2021-10-12 12:45 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (2.44 KB, patch)
2021-10-13 10:29 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch for landing (3.84 KB, patch)
2021-10-14 08:22 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2021-09-13 11:39:40 PDT
Whenever we use tooling to rebase or amend a commit, we should really reset the authorship time. This is particularly true when amending a commit, although is arguably true when rebasing as well, especially on pull-request branches.
Comment 1 Radar WebKit Bug Importer 2021-09-13 11:40:47 PDT
<rdar://problem/83065417>
Comment 2 Jonathan Bedard 2021-09-13 11:49:41 PDT
Created attachment 438063 [details]
Patch
Comment 3 Jonathan Bedard 2021-09-13 12:15:27 PDT
Created attachment 438065 [details]
Patch
Comment 4 Jonathan Bedard 2021-09-14 12:51:25 PDT
Created attachment 438159 [details]
Patch
Comment 5 EWS 2021-09-14 13:06:21 PDT
Committed r282404 (241665@main): <https://commits.webkit.org/241665@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438063 [details].
Comment 6 Jonathan Bedard 2021-09-14 13:31:23 PDT
Landing part 2
Comment 7 EWS 2021-09-14 14:15:06 PDT
Committed r282409 (241670@main): <https://commits.webkit.org/241670@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438159 [details].
Comment 8 Jonathan Bedard 2021-09-17 16:28:09 PDT
Reopening to attach new patch.
Comment 9 Jonathan Bedard 2021-09-17 16:28:10 PDT
Created attachment 438530 [details]
Patch for landing
Comment 10 EWS 2021-09-17 17:28:46 PDT
Committed r282715 (241852@main): <https://commits.webkit.org/241852@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438530 [details].
Comment 11 Jonathan Bedard 2021-10-12 12:45:55 PDT
Reopening to attach new patch.
Comment 12 Jonathan Bedard 2021-10-12 12:45:56 PDT
Created attachment 440972 [details]
Patch
Comment 13 Jonathan Bedard 2021-10-13 10:29:45 PDT
Created attachment 441097 [details]
Patch
Comment 14 dewei_zhu 2021-10-13 16:43:57 PDT
Comment on attachment 441097 [details]
Patch

r=me
Comment 15 Jonathan Bedard 2021-10-14 08:22:30 PDT
Created attachment 441218 [details]
Patch for landing
Comment 16 EWS 2021-10-14 09:08:14 PDT
Committed r284165 (242985@main): <https://commits.webkit.org/242985@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 441218 [details].